import { ToastrService } from 'ngx-toastr';
import { AbstractToasterService } from '@wm/core';
import * as i0 from "@angular/core";
export declare class ToasterServiceImpl extends AbstractToasterService {
    private toaster;
    constructor(toaster: ToastrService);
    private _showToaster;
    success(title: any, desc: any): any;
    error(title: any, desc: any): any;
    info(title: any, desc: any): any;
    warn(title: any, desc: any): any;
    show(type: any, title: any, desc: any, options: any): any;
    hide(toasterObj: any): void;
    showCustom(page: any, options: any): import("ngx-toastr").ActiveToast<any>;
    /**
     * Updates the Global Toaster options based on the passed object. Useful in cases where
     * a user wants to display multiple toasts at the same time, newest on bottom etc
     * @param {options} Object
     */
    setToasterConfig(options: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToasterServiceImpl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToasterServiceImpl>;
}
